Subject: Re: [regext] FW: Proposal to remove RDAP from the Thick Whois CL&D Policy (was Proposed Path Forward | Thick Whois CL&D Policy, RDAP and RySG Request for Reconsideration)

From: Bernhard Reutner-Fischer <[email-masked]>
Date: Tue, 12 Sep 2017 11:00:11 +0200

On 12 October 2016 at 02:46, Francisco Arias <[email-masked]> wrote:
> FYI,
>
>
>
> There is an updated proposal to handle the RySG proposed revision to the
> CL&D policy to remove the requirement to implement RDAP. We are planning to
> put a draft updated CL&D policy for public comment before the end of the
> month.
>
>
>
> We are also planning to issue the request to implement RDAP (on contractual
> basis as opposed to policy) in parallel but separate from the request to
> implement the revised CL&D policy. Both requests, to implement CL&D and
> RDAP, are expected to happen by the end of January 2017 (after the public
> comment period) with effective date of implementation by 1 August 2017.

[]

> 1. ICANN to issue a revised CL&D Policy to all registry operators, removing
> provision 12. For your reference, provision 12 states: “The implementation
> of an RDAP service in accordance with the "RDAP Operational Profile for gTLD
> Registries and Registrars" is required for all gTLD registries in order to
> achieve consistent labeling and display.” Additionally, I have attached the
> proposed revised CL&D Policy.

The "RDAP Operational Profile for gTLD Registries and Registrars"
version 1.0 Document erroneously talks about "publicIDs" (as opposed
to "publicIds" specified in RFC 7483).
Please fix if the operational profile ever gets revived.
In general the profile could need a touch-up, IMHO.

Thanks,

---

From: Francisco Arias <[email-masked]>
Date: Tue, 12 Sep 2017 23:17:38 +0000

Thank you for the suggestion, Bernhard. We'll take it into consider if the document is revived, as you said.

-- 
Francisco

On 9/12/17, 2:00 AM, "Bernhard Reutner-Fischer" <[email-masked]> wrote:

    []

    
    Thanks,

---

From: Bernhard Reutner-Fischer <[email-masked]>
Date: Tue, 19 Sep 2017 18:36:07 +0200

>     In general the profile could need a touch-up, IMHO.

Further notes i took.

1.4.10. An RDAP response MUST contain a remarks member with a
description containing the string "This response conforms to the RDAP
Operational Profile for gTLD Registries and Registrars version 1.0".

Since remarks are only allowed in objects classes and /help is not an
object this requirement should mention "object response" somewhere as
otherwise it would be in violation with the RFC.

1.5.20. A domain name RDAP response MUST contain a remarks member with
a title "Whois Inaccuracy Complaint Form", a description containing
the string "URL of the ICANN Whois Inaccuracy Complaint Form:
https://www.icann.org/wicf" and a links member with the
https://www.icann.org/wicf URL.

Drop the "www." part of the URL to be consistent with 1.5.18 (the
"https://icann.org/epp" URL)

thanks,